Package org.apache.xmlbeans.impl.richParser

## Interface XMLStreamReaderExt

- All Superinterfaces:
    `XMLStreamConstants`, `XMLStreamReader`
  All Known Implementing Classes:
    `XMLStreamReaderExtImpl`

      public interface XMLStreamReaderExt
      extends XMLStreamReader

  This interface extends the simple XMLStreamReader interface adding methods to get java objects asociated with schemas simple types like: ints, long, BigIntegers, Dates etc Note: Given the fact that an implemetation of this interface will not run validation in the stream, we will not include support for lists, enumeration and unions. They might be possible to introduce but the user has to push the corect schema type. Because usualy the backends are not list/union aware, there would be not performance win from this. If interest rises for this, support should be added. Author: Cezar Andrei (cezar.andrei at bea.com) Date: Nov 14, 2003

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `WS_COLLAPSE` |
    `static int` | `WS_PRESERVE` |
    `static int` | `WS_REPLACE` |

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InputStream` | `getAttributeBase64Value​(int index)` | Returns the decoded base64 value as anInputStream.
    `InputStream` | `getAttributeBase64Value​(String uri, String local)` | Returns the decoded base64 value as anInputStream.
    `BigDecimal` | `getAttributeBigDecimalValue​(int index)` | Returns the value as a `BigDecimal`.
    `BigDecimal` | `getAttributeBigDecimalValue​(String uri, String local)` | Returns the value as a `BigDecimal`.
    `BigInteger` | `getAttributeBigIntegerValue​(int index)` | Returns the value as a `BigInteger`.
    `BigInteger` | `getAttributeBigIntegerValue​(String uri, String local)` | Returns the value as a `BigInteger`.
    `boolean` | `getAttributeBooleanValue​(int index)` | Returns the value as a boolean.
    `boolean` | `getAttributeBooleanValue​(String uri, String local)` | Returns the value as a boolean.
    `byte` | `getAttributeByteValue​(int index)` | Returns the value as a byte.
    `byte` | `getAttributeByteValue​(String uri, String local)` | Returns the value as a byte.
    `XmlCalendar` | `getAttributeCalendarValue​(int index)` | Returns the value as an XmlCalendar which extends `Calendar`.
    `XmlCalendar` | `getAttributeCalendarValue​(String uri, String local)` | Returns the value as an XmlCalendar which extends `Calendar`.
    `Date` | `getAttributeDateValue​(int index)` | Returns the value as a `Date`.
    `Date` | `getAttributeDateValue​(String uri, String local)` | Returns the value as a `Date`.
    `double` | `getAttributeDoubleValue​(int index)` | Returns the value as a double.
    `double` | `getAttributeDoubleValue​(String uri, String local)` | Returns the value as a double.
    `float` | `getAttributeFloatValue​(int index)` | Returns the value as a float.
    `float` | `getAttributeFloatValue​(String uri, String local)` | Returns the value as a float.
    `GDate` | `getAttributeGDateValue​(int index)` | Returns the value as a `GDate`.
    `GDate` | `getAttributeGDateValue​(String uri, String local)` | Returns the value as a `GDate`.
    `GDuration` | `getAttributeGDurationValue​(int index)` | Returns the value as a `GDuration`.
    `GDuration` | `getAttributeGDurationValue​(String uri, String local)` | Returns the value as a `GDuration`.
    `InputStream` | `getAttributeHexBinaryValue​(int index)` | Returns the decoded hexbinary value as an InputStream.
    `InputStream` | `getAttributeHexBinaryValue​(String uri, String local)` | Returns the decoded hexbinary value as an InputStream.
    `int` | `getAttributeIntValue​(int index)` | Returns the value as an int.
    `int` | `getAttributeIntValue​(String uri, String local)` | Returns the value as an int.
    `long` | `getAttributeLongValue​(int index)` | Returns the value as a long.
    `long` | `getAttributeLongValue​(String uri, String local)` | Returns the value as a long.
    `QName` | `getAttributeQNameValue​(int index)` | Returns the value as a `QName`.
    `QName` | `getAttributeQNameValue​(String uri, String local)` | Returns the value as a `QName`.
    `short` | `getAttributeShortValue​(int index)` | Returns the value as a short.
    `short` | `getAttributeShortValue​(String uri, String local)` | Returns the value as a short.
    `String` | `getAttributeStringValue​(int index)` | Returns the value as a `String`.
    `String` | `getAttributeStringValue​(int index, int wsStyle)` | Returns the value as a `String`, with wsStyle applied.
    `String` | `getAttributeStringValue​(String uri, String local)` | Returns the value as a `String`.
    `String` | `getAttributeStringValue​(String uri, String local, int wsStyle)` | Returns the value as a `String`, with wsStyle applied.
    `InputStream` | `getBase64Value()` | Returns the decoded base64 value as anInputStream.
    `BigDecimal` | `getBigDecimalValue()` | Returns the value as a `BigDecimal`.
    `BigInteger` | `getBigIntegerValue()` | Returns the value as a `BigInteger`.
    `boolean` | `getBooleanValue()` | Returns the value as a boolean.
    `byte` | `getByteValue()` | Returns the value as a byte.
    `XmlCalendar` | `getCalendarValue()` | Returns the value as an XmlCalendar which extends `Calendar`.
    `Date` | `getDateValue()` | Returns the value as a `Date`.
    `double` | `getDoubleValue()` | Returns the value as a double.
    `float` | `getFloatValue()` | Returns the value as a float.
    `GDate` | `getGDateValue()` | Returns the value as a `GDate`.
    `GDuration` | `getGDurationValue()` | Returns the value as a `GDuration`.
    `InputStream` | `getHexBinaryValue()` | Returns the decoded hexbinary value as an InputStream.
    `int` | `getIntValue()` | Returns the value as an int.
    `long` | `getLongValue()` | Returns the value as a long.
    `QName` | `getQNameValue()` | Returns the value as a `QName`.
    `short` | `getShortValue()` | Returns the value as a short.
    `String` | `getStringValue()` | Returns the value as a `String`.
    `String` | `getStringValue​(int wsStyle)` | Returns the value as a `String`, with wsStyle applied.
    `void` | `setDefaultValue​(String defaultValue)` | Sets the default value for the next getXXXValue() call.

    - ### Methods inherited from interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

- - ### Field Detail

    - #### WS_PRESERVE

          static final int WS_PRESERVE

      See Also:
        Constant Field Values

    - #### WS_REPLACE

          static final int WS_REPLACE

      See Also:
        Constant Field Values

    - #### WS_COLLAPSE

          static final int WS_COLLAPSE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getStringValue

          String getStringValue()
                         throws XMLStreamException

      Returns the value as a `String`.
      Throws:
        `XMLStreamException`

    - #### getStringValue

          String getStringValue​(int wsStyle)
                         throws XMLStreamException

      Returns the value as a `String`, with wsStyle applied.
      Throws:
        `XMLStreamException`

    - #### getBooleanValue

          boolean getBooleanValue()
                           throws XMLStreamException

      Returns the value as a boolean.
      Throws:
        `XMLStreamException`

    - #### getByteValue

          byte getByteValue()
                     throws XMLStreamException

      Returns the value as a byte.
      Throws:
        `XMLStreamException`

    - #### getShortValue

          short getShortValue()
                       throws XMLStreamException

      Returns the value as a short.
      Throws:
        `XMLStreamException`

    - #### getIntValue

          int getIntValue()
                   throws XMLStreamException

      Returns the value as an int.
      Throws:
        `XMLStreamException`

    - #### getLongValue

          long getLongValue()
                     throws XMLStreamException

      Returns the value as a long.
      Throws:
        `XMLStreamException`

    - #### getBigIntegerValue

          BigInteger getBigIntegerValue()
                                 throws XMLStreamException

      Returns the value as a `BigInteger`.
      Throws:
        `XMLStreamException`

    - #### getBigDecimalValue

          BigDecimal getBigDecimalValue()
                                 throws XMLStreamException

      Returns the value as a `BigDecimal`.
      Throws:
        `XMLStreamException`

    - #### getFloatValue

          float getFloatValue()
                       throws XMLStreamException

      Returns the value as a float.
      Throws:
        `XMLStreamException`

    - #### getDoubleValue

          double getDoubleValue()
                         throws XMLStreamException

      Returns the value as a double.
      Throws:
        `XMLStreamException`

    - #### getHexBinaryValue

          InputStream getHexBinaryValue()
                                 throws XMLStreamException

      Returns the decoded hexbinary value as an InputStream.
      Throws:
        `XMLStreamException`

    - #### getBase64Value

          InputStream getBase64Value()
                              throws XMLStreamException

      Returns the decoded base64 value as anInputStream.
      Throws:
        `XMLStreamException`

    - #### getCalendarValue

          XmlCalendar getCalendarValue()
                                throws XMLStreamException

      Returns the value as an XmlCalendar which extends `Calendar`.
      Throws:
        `XMLStreamException`

    - #### getDateValue

          Date getDateValue()
                     throws XMLStreamException

      Returns the value as a `Date`.
      Throws:
        `XMLStreamException`

    - #### getGDateValue

          GDate getGDateValue()
                       throws XMLStreamException

      Returns the value as a `GDate`.
      Throws:
        `XMLStreamException`

    - #### getGDurationValue

          GDuration getGDurationValue()
                               throws XMLStreamException

      Returns the value as a `GDuration`.
      Throws:
        `XMLStreamException`

    - #### getQNameValue

          QName getQNameValue()
                       throws XMLStreamException

      Returns the value as a `QName`.
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          String getAttributeStringValue​(int index)
                                  throws XMLStreamException

      Returns the value as a `String`.
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          String getAttributeStringValue​(int index,
                                         int wsStyle)
                                  throws XMLStreamException

      Returns the value as a `String`, with wsStyle applied.
      Throws:
        `XMLStreamException`

    - #### getAttributeBooleanValue

          boolean getAttributeBooleanValue​(int index)
                                    throws XMLStreamException

      Returns the value as a boolean.
      Throws:
        `XMLStreamException`

    - #### getAttributeByteValue

          byte getAttributeByteValue​(int index)
                              throws XMLStreamException

      Returns the value as a byte.
      Throws:
        `XMLStreamException`

    - #### getAttributeShortValue

          short getAttributeShortValue​(int index)
                                throws XMLStreamException

      Returns the value as a short.
      Throws:
        `XMLStreamException`

    - #### getAttributeIntValue

          int getAttributeIntValue​(int index)
                            throws XMLStreamException

      Returns the value as an int.
      Throws:
        `XMLStreamException`

    - #### getAttributeLongValue

          long getAttributeLongValue​(int index)
                              throws XMLStreamException

      Returns the value as a long.
      Throws:
        `XMLStreamException`

    - #### getAttributeBigIntegerValue

          BigInteger getAttributeBigIntegerValue​(int index)
                                          throws XMLStreamException

      Returns the value as a `BigInteger`.
      Throws:
        `XMLStreamException`

    - #### getAttributeBigDecimalValue

          BigDecimal getAttributeBigDecimalValue​(int index)
                                          throws XMLStreamException

      Returns the value as a `BigDecimal`.
      Throws:
        `XMLStreamException`

    - #### getAttributeFloatValue

          float getAttributeFloatValue​(int index)
                                throws XMLStreamException

      Returns the value as a float.
      Throws:
        `XMLStreamException`

    - #### getAttributeDoubleValue

          double getAttributeDoubleValue​(int index)
                                  throws XMLStreamException

      Returns the value as a double.
      Throws:
        `XMLStreamException`

    - #### getAttributeHexBinaryValue

          InputStream getAttributeHexBinaryValue​(int index)
                                          throws XMLStreamException

      Returns the decoded hexbinary value as an InputStream.
      Throws:
        `XMLStreamException`

    - #### getAttributeBase64Value

          InputStream getAttributeBase64Value​(int index)
                                       throws XMLStreamException

      Returns the decoded base64 value as anInputStream.
      Throws:
        `XMLStreamException`

    - #### getAttributeCalendarValue

          XmlCalendar getAttributeCalendarValue​(int index)
                                         throws XMLStreamException

      Returns the value as an XmlCalendar which extends `Calendar`.
      Throws:
        `XMLStreamException`

    - #### getAttributeDateValue

          Date getAttributeDateValue​(int index)
                              throws XMLStreamException

      Returns the value as a `Date`.
      Throws:
        `XMLStreamException`

    - #### getAttributeGDateValue

          GDate getAttributeGDateValue​(int index)
                                throws XMLStreamException

      Returns the value as a `GDate`.
      Throws:
        `XMLStreamException`

    - #### getAttributeGDurationValue

          GDuration getAttributeGDurationValue​(int index)
                                        throws XMLStreamException

      Returns the value as a `GDuration`.
      Throws:
        `XMLStreamException`

    - #### getAttributeQNameValue

          QName getAttributeQNameValue​(int index)
                                throws XMLStreamException

      Returns the value as a `QName`.
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          String getAttributeStringValue​(String uri,
                                         String local)
                                  throws XMLStreamException

      Returns the value as a `String`.
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          String getAttributeStringValue​(String uri,
                                         String local,
                                         int wsStyle)
                                  throws XMLStreamException

      Returns the value as a `String`, with wsStyle applied.
      Throws:
        `XMLStreamException`

    - #### getAttributeBooleanValue

          boolean getAttributeBooleanValue​(String uri,
                                           String local)
                                    throws XMLStreamException

      Returns the value as a boolean.
      Throws:
        `XMLStreamException`

    - #### getAttributeByteValue

          byte getAttributeByteValue​(String uri,
                                     String local)
                              throws XMLStreamException

      Returns the value as a byte.
      Throws:
        `XMLStreamException`

    - #### getAttributeShortValue

          short getAttributeShortValue​(String uri,
                                       String local)
                                throws XMLStreamException

      Returns the value as a short.
      Throws:
        `XMLStreamException`

    - #### getAttributeIntValue

          int getAttributeIntValue​(String uri,
                                   String local)
                            throws XMLStreamException

      Returns the value as an int.
      Throws:
        `XMLStreamException`

    - #### getAttributeLongValue

          long getAttributeLongValue​(String uri,
                                     String local)
                              throws XMLStreamException

      Returns the value as a long.
      Throws:
        `XMLStreamException`

    - #### getAttributeBigIntegerValue

          BigInteger getAttributeBigIntegerValue​(String uri,
                                                 String local)
                                          throws XMLStreamException

      Returns the value as a `BigInteger`.
      Throws:
        `XMLStreamException`

    - #### getAttributeBigDecimalValue

          BigDecimal getAttributeBigDecimalValue​(String uri,
                                                 String local)
                                          throws XMLStreamException

      Returns the value as a `BigDecimal`.
      Throws:
        `XMLStreamException`

    - #### getAttributeFloatValue

          float getAttributeFloatValue​(String uri,
                                       String local)
                                throws XMLStreamException

      Returns the value as a float.
      Throws:
        `XMLStreamException`

    - #### getAttributeDoubleValue

          double getAttributeDoubleValue​(String uri,
                                         String local)
                                  throws XMLStreamException

      Returns the value as a double.
      Throws:
        `XMLStreamException`

    - #### getAttributeHexBinaryValue

          InputStream getAttributeHexBinaryValue​(String uri,
                                                 String local)
                                          throws XMLStreamException

      Returns the decoded hexbinary value as an InputStream.
      Throws:
        `XMLStreamException`

    - #### getAttributeBase64Value

          InputStream getAttributeBase64Value​(String uri,
                                              String local)
                                       throws XMLStreamException

      Returns the decoded base64 value as anInputStream.
      Throws:
        `XMLStreamException`

    - #### getAttributeCalendarValue

          XmlCalendar getAttributeCalendarValue​(String uri,
                                                String local)
                                         throws XMLStreamException

      Returns the value as an XmlCalendar which extends `Calendar`.
      Throws:
        `XMLStreamException`

    - #### getAttributeDateValue

          Date getAttributeDateValue​(String uri,
                                     String local)
                              throws XMLStreamException

      Returns the value as a `Date`.
      Throws:
        `XMLStreamException`

    - #### getAttributeGDateValue

          GDate getAttributeGDateValue​(String uri,
                                       String local)
                                throws XMLStreamException

      Returns the value as a `GDate`.
      Throws:
        `XMLStreamException`

    - #### getAttributeGDurationValue

          GDuration getAttributeGDurationValue​(String uri,
                                               String local)
                                        throws XMLStreamException

      Returns the value as a `GDuration`.
      Throws:
        `XMLStreamException`

    - #### getAttributeQNameValue

          QName getAttributeQNameValue​(String uri,
                                       String local)
                                throws XMLStreamException

      Returns the value as a `QName`.
      Throws:
        `XMLStreamException`

    - #### setDefaultValue

          void setDefaultValue​(String defaultValue)
                        throws XMLStreamException

      Sets the default value for the next getXXXValue() call. For example: setDefaultValue("7"); //the xml looks like: `<int> </int>` int i = getIntValue(); // returns 7 // from now on the default value will not apply anymore Note: Works for getAttributeXXXValue(...) too.
      Throws:
        `XMLStreamException`